
QGIS Application - Bug report #9986

saving style in layer_styles table in postgres for layers without geometry

2014-04-03 05:22 AM - Jan Van Bennekom-Minnema

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18479

Description

Loading layer styles from *.qml files and the postgesql table "layer_style" is offered through "Layer Properties"/button "Load Style..."

(option "load from file" and "load from database"), however saving a style [which also contain Edit Widgets and Aliases] for a layer without

geometry through "Layer Properties"/button "Save Style..." is only offered to *.qml file? The options "SLD file" and "Save in database

(progresql)" are not availalbe. If loading a style (without geometry) from a database is supported, saving to a database should also posible

?

History

#1 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
